Brightspace recommended browsers, Thursday, 30 April

Thu, 30 April 20


What is happening: 

It is strongly recommended that you use the latest version of Chrome or Firefox when using Brightspace. There are currently reports of some issues when using the latest version of Safari.

When is it happening:

Thursday, 30 April.

Who will this affect:

Users of Brightspace.